package org.project.item.weapons;

import org.project.entity.Entity;
import org.project.item.Item;

public abstract class Weapon implements Item {
    private int damage;
    private int id;
    private String name;

    public Weapon(int id, String name, int damage) {
        this.id = id;
        this.name = name;
        this.damage = damage;
    }


    @Override
    public void use(Entity target) {
        System.out.println("🏹 " + name + " is equipped!");
    }

    public int getDamage() {
        return damage;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public int getId() {
        return id;
    }

}
